#lire une image 
from PIL import Image
import numpy   # Pour manipuler des tableaux de nombres

## Récupération des valeurs de l'image 


def OuvrirImgCoul(path):
    im = Image.open(str(path))   #crée un objet im qui contient l'image située à l'adresse indiquée
    largeur,hauteur = im.size   #méthode size récupère les dimensions
    imdata=im.getdata()  #la methode getdata permet de récuperer les valeurs des pixels en liste    
    tab=numpy.array(imdata)  #met les données en tableau
    matrix = numpy.reshape(tab,(hauteur,largeur,3))  #met les données sous forme de matrice
    return matrix




#créer une image a aprtir d'une matrice
def CreerImgCoul(matrix,path): #matrice de l'image à reconstruire, plus chemin de sortie.
    matrix=numpy.uint8(matrix) #conversion obligatoire
    imNew=Image.fromarray(matrix)  
    imNew.save(path)


matrice1=OuvrirImgCoul("D:/fichierspython/photomarc.jpg")


def composanterouge(matrix):
    matrice2=numpy.array([[[0,0,0]]*640]*480)
    for i in range(480):
        for j in range(640):           
            matrice2[i][j][0]=matrix[i][j][0]
    return matrice2
    
def composanteverte(matrix):
    matrice2=numpy.array([[[0,0,0]]*640]*480)
    for i in range(480):
        for j in range(640):           
            matrice2[i][j][1]=matrix[i][j][1]
    return matrice2
    
def composantebleu(matrix):
    matrice2=numpy.array([[[0,0,0]]*640]*480)
    for i in range(480):
        for j in range(640):           
            matrice2[i][j][2]=matrix[i][j][2]
    return matrice2
    
matrice2=composanterouge(matrice1)
matrice3=composanteverte(matrice1)
matrice4=composantebleu(matrice1)

tabg=numpy.concatenate((matrice1,matrice2),axis=0)
tabd=numpy.concatenate((matrice3,matrice4),axis=0)
tab=numpy.concatenate((tabg,tabd),axis=1)
CreerImgCoul(tab,"D:/fichierspython/marcwarhol.jpg")